# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /var/folders/sy/f16zz6x50xz3113nwtb9bvq00000gp/T/abs_41tioxt2h9/clone/recipe, last modified Wed Apr 26 04:37:31 2023
# ------------------------------------------------

package:
  name: daal4py
  version: 2023.1.1
source:
  patches:
    - patches/0004_set_cmake_python_executable.patch
  sha256: 451b8c5e6d3a0f4b147a68ffe37bbddf7fc2e706083ec3e57479ec4421a7d963
  url: https://github.com/intel/scikit-learn-intelex/archive/2023.1.1.tar.gz
build:
  number: '0'
  string: py38h01d92e1_0
requirements:
  build:
    - bzip2 1.0.8 h1de35cc_0
    - c-ares 1.19.0 h6c40b1e_0
    - ca-certificates 2023.01.10 hecd8cb5_0
    - cmake 3.22.1 hbfa4a85_0
    - expat 2.4.9 he9d5cce_0
    - krb5 1.19.4 hdba6334_0
    - libcurl 7.88.1 ha585b31_0
    - libcxx 14.0.6 h9765a3e_0
    - libedit 3.1.20221030 h6c40b1e_0
    - libev 4.33 h9ed2024_1
    - libnghttp2 1.46.0 ha29bfda_0
    - libssh2 1.10.0 h0a4fc7d_0
    - libuv 1.44.2 h6c40b1e_0
    - lz4-c 1.9.4 hcec6c5f_0
    - make 4.2.1 h3efe00b_1
    - ncurses 6.4 hcec6c5f_0
    - openssl 1.1.1t hca72f7f_0
    - patch 2.7.6 h1de35cc_1001
    - rhash 1.4.1 hbcfaee0_1
    - xz 5.2.10 h6c40b1e_1
    - zlib 1.2.13 h4dc903c_0
    - zstd 1.5.5 hc035e20_0
  host:
    - blas 1.0 mkl
    - ca-certificates 2023.01.10 hecd8cb5_0
    - clang-format 14.0.6 default_hd95374b_1
    - clang-format-14 14.0.6 default_hd95374b_1
    - cython 0.29.33 py38hcec6c5f_0
    - dal 2023.1.1 ha357a0b_48680
    - dal-devel 2023.1.1 ha357a0b_48680
    - dal-include 2023.1.1 hecd8cb5_48680
    - intel-openmp 2021.4.0 hecd8cb5_3538
    - jinja2 3.1.2 py38hecd8cb5_0
    - libclang-cpp14 14.0.6 default_hd95374b_1
    - libcxx 14.0.6 h9765a3e_0
    - libffi 3.4.2 hecd8cb5_6
    - libgfortran 5.0.0 11_3_0_hecd8cb5_28
    - libgfortran5 11.3.0 h9dfd629_28
    - libllvm14 14.0.6 h91fad77_2
    - llvm-openmp 14.0.6 h0dcd299_0
    - markupsafe 2.1.1 py38hca72f7f_0
    - mkl 2021.4.0 hecd8cb5_637
    - mkl-service 2.4.0 py38h9ed2024_0
    - mkl_fft 1.3.1 py38h4ab4a9b_0
    - mkl_random 1.2.2 py38hb2f4e1b_0
    - mpi 1.0 mpich
    - mpich 4.1.1 hc226d05_0
    - ncurses 6.4 hcec6c5f_0
    - numpy 1.19.5 py38hc3c7dd1_4
    - numpy-base 1.19.5 py38h1e574ef_4
    - openssl 1.1.1t hca72f7f_0
    - pip 23.0.1 py38hecd8cb5_0
    - pybind11 2.10.1 py38ha357a0b_0
    - pybind11-global 2.10.1 py38ha357a0b_0
    - python 3.8.16 h218abb5_3
    - readline 8.2 hca72f7f_0
    - setuptools 66.0.0 py38hecd8cb5_0
    - six 1.16.0 pyhd3eb1b0_1
    - sqlite 3.41.2 h6c40b1e_0
    - tbb 2021.8.0 ha357a0b_0
    - tk 8.6.12 h5d9f67b_0
    - wheel 0.38.4 py38hecd8cb5_0
    - xz 5.2.10 h6c40b1e_1
    - zlib 1.2.13 h4dc903c_0
  run:
    - dal 2023.1.1.*
    - dal >=2023.1.1,<2024.0a0
    - libcxx
    - mpich >=4.1.1,<5.0a0
    - numpy >=1.19.5,<2.0a0
    - python >=3.8,<3.9.0a0
test:
  requires:
    - catboost
    - dal-include 2023.1.1.*
    - mpich 4.1.1.*
    - pandas
    - pytest
    - scikit-learn
    - scipy
    - xgboost
  source_files:
    - daal4py
    - examples
    - onedal
    - tests
about:
  description: '<strong>LEGAL NOTICE: Use of this software package is subject to the

    software license agreement (as set forth above, in the license section of

    the installed Conda package and/or the README file) and all notices,

    disclaimers or license terms for third party or open source software

    included in or with the software.</strong>

    <br/><br/>

    EULA: <a href="https://opensource.org/licenses/Apache-2.0" target="_blank">Apache-2.0</a>

    <br/><br/>

    '
  dev_url: https://github.com/intel/scikit-learn-intelex
  doc_url: https://intelpython.github.io/daal4py
  home: https://intelpython.github.io/daal4py/
  license: Apache-2.0
  license_family: Apache
  license_file:
    - LICENSE
    - doc/daal4py/third-party-programs.txt
  summary: A convenient Python API to Intel (R) oneAPI Data Analytics Library
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 41b32b85-91f1-4d28-9331-809807d208e7
  recipe-maintainers:
    - Alexsandruss
    - napetrov
  remote_url: git@github.com:AnacondaRecipes/daal4py-feedstock.git
  sha: 8f022b8da4bc14939bfb1f837b1b58ae5c9c4864
